/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef ROGUS_MCBOGUS_H
#define ROGUS_MCBOGUS_H

#include "MIDI_lib.h"
#include <stdarg.h>
#include "UtilPtr.h"

class CPEditApp;
typedef UtilPtr<parser> parserPtr;

class Rogus_McBogus {
	CPEditApp* cp;
	parserPtr p;
public:
	enum { msg, warn, err };
	Rogus_McBogus(void (*func)(const char*, int) = NULL);
	~Rogus_McBogus();
	void setParser(parserPtr, const char*);
};

#endif
// Author: Patrick Pelletier
